Subject: Re: [NETNS] Oops in register_pernet_operations() with CONFIG_NET_NS=n

From: "Denis V. Lunev" <[email-masked]>
Date: Thu, 25 Oct 2007 20:52:09 +0400

Eric W. Biederman wrote:
> Benjamin Thery <[email-masked]> writes:
> 
>> Eric W. Biederman wrote:
>>> Benjamin Thery <[email-masked]> writes:
>>>
>>>> Denis V. Lunev wrote:
>>>>> The patch attached should help. The idea is simple. The "init" should be
>>>>> called only once without NETNS. Period. No need for any lists.
>>>> This is the kind of idea I had but I didn't think it could be 
>>>> that simple. :) 
>>>> Thanks Denis.
>>> It isn't.

this will work due to INIT_LIST_HEAD with circles list to itself and a
del operation will work.

By the way, I think that we can in the case of undefined CONFIG_NET_NS
reduce register to calling ->init method and unregister to calling
->exit method.

This is a correct thing at least for now and will be welcomed by the all
embedded/etc people.

Regards,
	Den